#include "TableView.h"
#include <QHeaderView>

TableView::TableView(QWidget *parent)
    :QTableView(parent)
{
    init();
}

void TableView::init()
{
    setEditTriggers(QAbstractItemView::NoEditTriggers);
    horizontalHeader()->setSectionResizeMode(QHeaderView::ResizeToContents);
    setSelectionBehavior(QAbstractItemView::SelectRows);
    setAlternatingRowColors(true);
    verticalHeader()->hide();
    setAlternatingRowColors(true);
}
